<!DOCTYPE html>
<html lang="en">

<head>
	<title>67.S10</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>

	<div class="container">
		<h2 style="text-align: center;">Quản trị Voucher</h2>
		<div class="jumbotron container">
			<div class="row form-group">
				<div class="col-sm-3">
					<label for="voucher-code">Mã Voucher</label>
				</div>
				<div class="col-sm-9">
					<input type="text" id="input-voucher-code" name="vouchercodes" placeholder="Voucher code"
						class="form-control">
				</div>
			</div>
			<div class="row form-group">
				<div class="col-sm-3">
					<label for="discount">Phần trăm giảm giá</label>
				</div>
				<div class="col-sm-9">
					<input type="number" id="input-discount" name="discount" placeholder="Discount"
						class="form-control">
				</div>
			</div>
			<div class="row form-group">
				<div class="col-sm-3">
					<label for="note">Ghi chú</label>
				</div>
				<div class="col-sm-9">
					<input type="text" id="input-note" name="note" placeholder="Note" class="form-control">
				</div>
			</div>
			<div class="row form-group">
				<div class="col-sm-3">
					<label for="createDate">Ngày Tạo</label>
				</div>
				<div class="col-sm-9">
					<input type="date" id="input-createDate" name="createDate" placeholder="Create Date"
						class="form-control">
				</div>
			</div>
			<div class="row form-group">
				<div class="col-sm-3">
					<label for="updateDate">Ngày sửa</label>
				</div>
				<div class="col-sm-9">
					<input type="date" id="input-updateDate" name="updateDate" placeholder="Update Date"
						class="form-control">
				</div>
			</div>
			<div class="row pull-right">
				<div class="col-sm-12">
					<button id="save_data" class="btn btn-info">Save Data</button>
				</div>
			</div>
		</div>
		<table class="table table-bordered table-striped table-hover" id="user-table">
			<thead>
				<tr>
					<th>STT</th>
					<th>Mã giảm giá</th>
					<th>Phần trăm giảm giá</th>
					<th>Ghi Chú</th>
					<th>Ngày tạo</th>
					<th>Ngày cập nhật</th>
					<th>Action</th>
				</tr>
		</table>
	</div>
	<script>
		$(document).ready(function () {
			var table = $("#user-table").DataTable({
				"columns": [
					{ "data": "id" },
					{ "data": "maVoucher" },
					{ "data": "phanTramGiamGia" },
					{ "data": "ghiChu" },
					{ "data": "ngayTao" },
					{ "data": "ngayCapNhat" },
					{ "data": "action" },
				],
				"columnDefs": [
					{
						targets: 6,
						defaultContent: '<button id="btn-update" class="btn btn-success">Sửa</button>' +
							'<button id="" class="btn btn-danger mt-2 btn-delete">Xóa</button>'
					}
				]
			})
			$.ajax({
				url: "http://localhost:8081/vouchers",
				type: "GET",
				dataType: "json",
				success: function (res) {
					console.log(res);
					table.clear();
					table.rows.add(res);
					table.draw();
				},
				error: function (err) {
					console.log(err.response);
				}
			})

			$("#save_data").on("click", function () {
				onBtnAddVoucher();
			})
			$("#user-table").on("click", ".btn-delete", function () {
				var vTable = $("#user-table").DataTable();
				var vRow = $(this).closest("tr");
				var vData = vTable.row(vRow).data();

				onBtnDelete(vData.id);
			})

		})
		function onBtnAddVoucher() {
			var vObjVoucher = {
				maVoucher: "",
				phanTramGiamGia: "",
				ghiChu: "",
				ngayCapNhat: "",
				ngayTao: "",
			}
			thuThapThongTin(vObjVoucher);
			$.ajax({
				url: "http://localhost:8081/vouchers",
				type: "POST",
				data: JSON.stringify(vObjVoucher),
				contentType: "application/json;charset=UTF-8",
				success: function (res) {
					location.reload();

				},
				error: function (err) {
					console.log(err.response);
				}
			})
		}
		function onBtnDelete(paramId) {
			$.ajax({
				url: "http://localhost:8081/vouchers" + "/" + paramId,
				type: "DELETE",

				success: function (res) {
					alert("delete voucher success")
					location.reload();

				},
				error: function (err) {
					console.log(err.response);
				}
			})
		}
		// ***************************** Region4 *****************************//
		function thuThapThongTin(paramObj) {
			paramObj.maVoucher = $("#input-voucher-code").val();
			paramObj.phanTramGiamGia = $("#input-discount").val();
			paramObj.ghiChu = $("#input-note").val();
		}
	</script>
</body>

</html>